%define anolis_release 2
%define _hardened_build 1

Name:		realmd
Version:	0.17.0
Release:	%{anolis_release}%{?dist}
Summary:	DBus service for configuring kerberos and other online identities.

License:	LGPLv2+	
URL:		https://gitlab.freedesktop.org/realmd/realmd
Source0:	https://gitlab.freedesktop.org/realmd/realmd/-/archive/0.17.0/realmd-0.17.0.tar.gz
Source1:	realmd-anolis.conf
Patch1: 	0001-switch-to-authselect.patch
Patch2: 	0002-configure-update-some-macros-for-autoconf-2.71.patch
Patch3: 	0003-ldap-add-socket-timeout.patch
Patch4: 	0004-samba-use-new-Samba-4.15-command-line-options.patch

# add support for anolis os
Patch1000:	0005-add-support-for-anolis-os.patch

BuildRequires: 	make
BuildRequires: 	gcc
BuildRequires: 	automake
BuildRequires: 	autoconf
BuildRequires: 	intltool pkgconfig
BuildRequires: 	gettext-devel
BuildRequires: 	glib2-devel >= 2.32.0
BuildRequires: 	openldap-devel
BuildRequires: 	polkit-devel
BuildRequires: 	krb5-devel
BuildRequires: 	systemd-devel
BuildRequires: 	libxslt
BuildRequires: 	xmlto
BuildRequires: 	python3 vim
Requires: 	authselect
Requires: 	polkit
Conflicts: 	realmd-devel-docs < %{version}-%{release}

%description
Rlmd is a DBus system service which manages discovery and enrollment in realms
and domains like Active Directory or IPA. The control center uses realmd as the
back end to 'join' a domain simply and automatically configure things correctly.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package 	devel-docs
Summary: 	Developer documentation files for %{name}
Conflicts: 	realmd < %{version}-%{release}

%description 	devel-docs
The %{name}-devel package contains developer documentation for developing
applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
cp %{SOURCE1} ./service/

%build
autoreconf -fi
%configure  --disable-silent-rules
make

%install
make install DESTDIR=%{buildroot}

%check
make check

%find_lang realmd

%post
%systemd_post realmd.service
 
%preun
%systemd_preun realmd.service
 
%postun
%systemd_postun_with_restart realmd.service

%files -f realmd.lang
%license COPYING
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.realmd.conf
%{_sbindir}/realm
%dir %{_prefix}/lib/realmd
%{_libexecdir}/realmd
%{_prefix}/lib/realmd/realmd-defaults.conf
%{_prefix}/lib/realmd/realmd-distro.conf
%{_unitdir}/realmd.service
%{_datadir}/dbus-1/system-services/org.freedesktop.realmd.service
%{_datadir}/polkit-1/actions/org.freedesktop.realmd.policy
%{_mandir}/man8/realm.8.gz
%{_mandir}/man5/realmd.conf.5.gz
%{_localstatedir}/cache/realmd/

%files doc
%doc AUTHORS NEWS README

%files devel-docs
%doc %{_datadir}/doc/realmd/
%doc ChangeLog

%changelog
* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.17.0-2
- add doc package

* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 0.17.0-1
- Init package from upstream
